<template>
    <div class="flex relative" @click="isOpen = !isOpen">
        <a href ="#" class="me-1 border-l-2 border-gray-500 px-4">
            {{ title }}
        </a>
        <svg viewBox="0 0 1030 638" width="10">
            <path d="M1017 68L541 626q-11 12-26 12t-26-12L13 68Q-3 49 6 24.5T39 0h952q24 0 33 24.5t-7 43.5z" fill="#FFF"></path>
        </svg>
        <transition name="fade" apear>
        <div class="absolute bg-zinc-700 top-full flex flex-col items-center rounded-b-lg" v-if="isOpen">
            <RouterLink to="/admin/websites" class="p-2">Websites</RouterLink>
            <RouterLink to="/admin/books" class="p-2">Books</RouterLink>
            <RouterLink to="/admin/chapters" class="p-2">Chapters</RouterLink>
        </div>
        </transition>
    </div>
</template>

<script>
    export default {
        name: 'adminMenu',
        props: ['title'],
        data() {
            return {
                isOpen: false,
            }
        }
    }
</script>